Should I upgrade to the latest version of Argyll?

Home Forums General Discussion Should I upgrade to the latest version of Argyll?

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #36071

    marin
    Participant
    • Offline

    Hi everyone! I’m new user of DisplayCAL. I see that development is onhold for a while. Anyway, today I received my Colorchecker Display and as advised used DisplayCAL to execute calibration. I’m super happy with first results. Here is the question:
    I see that latest version of Argyll is V2.3.1 but DisplayCAL has downloaded and installed V2.1.2. Is it recomended to install latest version of Argyll manually?

    #36093

    Vincent
    Participant
    • Offline

    Yes. Unless you have a new device like i1Pro3 spectrophotometer, even ArgyllCMS USB signed driver from 2.1.2 will work with latest ArgyllCMS versions for i1Pro2 devices.
    If you have an i1d3 colorimeter you do not need to install USB driver (and you should not)

    i1Basic Pro 2 on Amazon  
    Disclosure: As an Amazon Associate I earn from qualifying purchases.

    #36101

    marin
    Participant
    • Offline

    Hi Vincent. Thank you for answer. Yeah I haven’t installed USB driver. DisplayCAL recognized i1d3 colorimeter out of the box. All right. I’ll update to latest version of Agryll than.

    Thanks,
    marin

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.

Log in or Register

Display Calibration and Characterization powered by ArgyllCMS